Subject: [websec] draft-ietf-websec-strict-transport-sec-03 reference nits

From: Julian Reschke <[email-masked]>
Date: Thu, 29 Dec 2011 13:57:55 +0100

Hi there,

checking with 
<http://greenbytes.de/tech/webdav/rfc2629xslt/rfc2629xslt.html#checking-references>:

Normative References:
RFC1035: [STANDARD] (-> STD0013) ok
RFC1594: [INFORMATIONAL] obsoleted by RFC2664

-> Should be updated.

RFC1983: [INFORMATIONAL] (-> FYI0018) ok
RFC2109: [HISTORIC] obsoleted by RFC2965

-> Should be replaced by RFC 6265

RFC2119: [BEST CURRENT PRACTICE] (-> BCP0014) ok
RFC2560: [PROPOSED STANDARD] ok
RFC2616: [DRAFT STANDARD] ok
RFC2818: [INFORMATIONAL] ok
RFC2965: [HISTORIC] obsoleted by RFC6265

-> Should either be removed or moved to Informational References.

RFC3454: [PROPOSED STANDARD] ok
RFC3490: [PROPOSED STANDARD] obsoleted by RFC5890 RFC5891
RFC3492: [PROPOSED STANDARD] ok
RFC3864: [BEST CURRENT PRACTICE] (-> BCP0090) ok
RFC3986: [STANDARD] (-> STD0066) ok
RFC4346: [PROPOSED STANDARD] obsoleted by RFC5246

-> is the ref to 1.1 intentional? In this case the reference should be 
annotated, I guess.

RFC4949: [INFORMATIONAL] (-> FYI0036) ok
RFC5280: [PROPOSED STANDARD] ok
RFC5890: [PROPOSED STANDARD] ok
RFC5891: [PROPOSED STANDARD] ok
RFC5894: [INFORMATIONAL] ok
RFC5895: [INFORMATIONAL] ok
Unicode6: not checked
WD-html5-20100304: document unknown

-> Also, not used.

Informative References:
Aircrack-ng: not checked
BeckTews09: not checked
Firesheep: not checked
ForceHTTPS: not checked
GoodDhamijaEtAl05: not checked
draft-ietf-tls-ssl-version3: ID does not exist

-> please add "-00" to the seriesInfo/@value.

JacksonBarth2008: not checked
owaspTLSGuide: not checked
RFC0793: [STANDARD] (-> STD0007) ok
RFC2396: [DRAFT STANDARD] obsoleted by RFC3986

-> not used in the spec

SunshineEgelmanEtAl09: not checked
UTS46: not checked
WD-wsc-ui-20100309: document unknown

-> recommended ref:

<reference anchor='REC-wsc-ui-20100812'
            target='http://www.w3.org/TR/2010/REC-wsc-ui-20100812/'>
   <front>
     <title>Web Security Context: User Interface Guidelines</title>
     <author fullname='Thomas Roessler' surname='Roessler' initials='T. '/>
     <author fullname='Anil Saldhana' surname='Saldhana' initials='A. '/>
     <date year='2010' month='August' day='12'/>
   </front>
   <seriesInfo name='W3C Recommendation' value='REC-wsc-ui-20100812'/>
   <annotation>
     Latest version available at
     <eref target='http://www.w3.org/TR/wsc-ui/'/>.
   </annotation>
</reference>

WEBSEC: not checked

Best regards, Julian